Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractPattern.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractPattern.Builder

Enclosing class:
  `ContractPattern`

public static class ContractPattern.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractPattern`
  `build()`
  `ContractPattern.Builder`
  `setClosesumma(BigDecimal closesumma)`
  `ContractPattern.Builder`
  `setData(Document data)`
  `ContractPattern.Builder`
  `setDaysToLive(int daysToLive)`
  `ContractPattern.Builder`
  `setDomainId(int domainId)`
  `ContractPattern.Builder`
  `setFc(int fc)`
  `ContractPattern.Builder`
  `setGroups(long groups)`
  `ContractPattern.Builder`
  `setHidden(boolean hidden)`
  `ContractPattern.Builder`
  `setId(int id)`
  `ContractPattern.Builder`
  `setLimitMode(String limitMode)`
  `ContractPattern.Builder`
  `setMasterHandlerClass(String masterHandlerClass)`
  `ContractPattern.Builder`
  `setMasterOptionalParameterIds(Set<Integer> masterOptionalParameterIds)`
  `ContractPattern.Builder`
  `setMasterRequiredParameterIds(Set<Integer> masterRequiredParameterIds)`
  `ContractPattern.Builder`
  `setMasterTariffMode(String masterTariffMode)`
  `ContractPattern.Builder`
  `setMode(int mode)`
  `ContractPattern.Builder`
  `setNamePatternId(int namePatternId)`
  `ContractPattern.Builder`
  `setObjectString(String objectString)`
  `ContractPattern.Builder`
  `setParamsGroupId(int paramsGroupId)`
  `ContractPattern.Builder`
  `setPatternId(int patternId)`
  `ContractPattern.Builder`
  `setPatternMode(String patternMode)`
  `ContractPattern.Builder`
  `setScriptList(List<Integer> scriptIds)`
  `ContractPattern.Builder`
  `setStatus(int status)`
  `ContractPattern.Builder`
  `setTariffGroupList(List<Integer> value)`
  `ContractPattern.Builder`
  `setTariffPlanList(List<String> value)`
  `ContractPattern.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public ContractPattern.Builder setId(int id)

  - ### setClosesumma

    public ContractPattern.Builder setClosesumma(BigDecimal closesumma)

  - ### setLimitMode

    public ContractPattern.Builder setLimitMode(String limitMode)

  - ### setMode

    public ContractPattern.Builder setMode(int mode)

  - ### setFc

    public ContractPattern.Builder setFc(int fc)

  - ### setTitle

    public ContractPattern.Builder setTitle(String title)

  - ### setTariffPlanList

    public ContractPattern.Builder setTariffPlanList(List<String> value)

  - ### setParamsGroupId

    public ContractPattern.Builder setParamsGroupId(int paramsGroupId)

  - ### setDaysToLive

    public ContractPattern.Builder setDaysToLive(int daysToLive)

  - ### setTariffGroupList

    public ContractPattern.Builder setTariffGroupList(List<Integer> value)

  - ### setNamePatternId

    public ContractPattern.Builder setNamePatternId(int namePatternId)

  - ### setHidden

    public ContractPattern.Builder setHidden(boolean hidden)

  - ### setData

    public ContractPattern.Builder setData(Document data)

  - ### setPatternId

    public ContractPattern.Builder setPatternId(int patternId)

  - ### setStatus

    public ContractPattern.Builder setStatus(int status)

  - ### setObjectString

    public ContractPattern.Builder setObjectString(String objectString)

  - ### setDomainId

    public ContractPattern.Builder setDomainId(int domainId)

  - ### setGroups

    public ContractPattern.Builder setGroups(long groups)

  - ### setPatternMode

    public ContractPattern.Builder setPatternMode(String patternMode)

  - ### setScriptList

    public ContractPattern.Builder setScriptList(List<Integer> scriptIds)

  - ### setMasterRequiredParameterIds

    public ContractPattern.Builder setMasterRequiredParameterIds(Set<Integer> masterRequiredParameterIds)

  - ### setMasterOptionalParameterIds

    public ContractPattern.Builder setMasterOptionalParameterIds(Set<Integer> masterOptionalParameterIds)

  - ### setMasterHandlerClass

    public ContractPattern.Builder setMasterHandlerClass(String masterHandlerClass)

  - ### setMasterTariffMode

    public ContractPattern.Builder setMasterTariffMode(String masterTariffMode)

  - ### build

    public ContractPattern build()